#ifndef Database_h
#define Database_h
using namespace std;
#include <fstream>
#include <string>
#include <vector>
#include <sys/wait.h>
//#include <png.h>
//#include <X11/Xlib.h>
//#include <X11/Xft/Xft.h>
#include <Imlib.h>
#include <dirent.h>

class Table;

class Database
{
private:
  string File;
  string trim(string source);
public:
  Database (string F);

  vector < Table * >Tables;
  Table *AddTable (string Title);
  Table *Query (string Title);
  void Write ();

};

class Table
{
public:
  Table (string T);
  string Title;

    vector < string > Label;
    vector < string > Value;

  void Set (string L, string V);
  string Query (string L);

};

#endif //Database_h
