#ifndef __menu_h__
#define __menu_h__
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <X11/Intrinsic.h>
#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/SimpleMenP.h>
#include <X11/Xaw/Sme.h>
#include <X11/Xaw/SmeLine.h>
#include <X11/Xaw/SmeBSB.h>
//#include "icon.h"
class Icon;

class PopupMenu
{
private:
  Widget menu, lastEntry;
public:
  //Pixmap p1, p2;
  PopupMenu (Widget w, String title);
  ~PopupMenu () { XtDestroyWidget(menu); };
  void Post (int x, int y);
  static void procUnpost (Widget w, XtPointer client_data,
			  XEvent * event, Boolean * b);
  void Unpost (void)
  {
    XtPopdown (menu);
  };
  void AddCommand (char *item, char *command);
  void AddProps(char *item, Icon *I);
  static void PopupMenu::procExec (Widget w, XtPointer client_data,
				   XtPointer call_data);
};

#endif
